<form model="InstanceUrl" title="Istanza : Alias Access Point">
    <view>
        <item name="hdn_id" type="hidden" field="id"/>
        <item name="hdn_ice" type="hidden" field="id_ice"/>
        <item name="hdn_par" type="hidden" field="id_par"/>
        <item>
            <item name="txt_url" type="text" field="url" label="Url" col="md-4"/>
            <item name="chk_act" type="checkbox" field="act" label="Attivo" col="md-2" value="1" default="1"/>
        </item>
        <item>
            <item name="cmb_lng" type="combo" field="id_lng" label="Idioma" col="md-4">
                <prop name="datasource">
                    <query>
                        <sql>
                            select hex(ti.id) as id, ti.nme
                            from osy_itm ti 
                            inner join osy_itm tt on (ti.id_typ = tt.id and tt.urn = 'urn:opensymap.org@type#lang')
                        </sql>
                    </query>
                </prop>
            </item>
            <item name="chk_is_fix" type="checkbox" field="fix_url_lng" label="Fix Lang in Url" col="md-2" value="1"/>
            <item name="txt_lng" type="text" field="als_lng" label="Alias Idioma nell'url" col="md-4"/>
        </item>
        <item type="tab" name="tab_bot">
            <item name="dgr_env" label="Variabili Ambiente" type="datagrid">
                <prop name="datasource">
                    <source>current</source>
                    <query>
                        <sql>
                            select hex(e.id) as id, e.nme, case when coalesce(e.dsc, '') = '' then e.val else e.dsc end val
                            from osy_env e
                            where e.id_url = {{@hdn_id}}
                        </sql>
                    </query>
                    <columns>
                        <col>
                            <field>nme</field>
                            <label>Name</label>
                        </col>
                        <col>
                            <field>val</field>
                            <label>Valore</label>
                        </col>
                    </columns>
                </prop>
                <prop name="formDetail">InstanceEnv</prop>
                <prop name="formData">{"hdn_url":"hdn_id", "hdn_ice":"hdn_par"}</prop>
            </item>
            <item name="dgr_ang" label="Anagrafiche" type="datagrid">
                <prop name="datasource">
                    <controller>Spinit\Dev\Opensymap\App\Monitor\Module\Core\Source:InstanceUsrAnagraficaController</controller>
                    <source>current</source>
                    <query>
                        <sql>
                            select hex(ang.id) id,
                                ang.nme,
                                ang.aut_act,
                                ang.aut_lgn
                            from osy_ang ang
                            where ang.id_url = {{@hdn_par}}
                              and ang.id_url is not null
                              and ang.dat_del__ is null
                        </sql>
                    </query>
                    <columns>
                        <col><field>nme</field><label>Name</label></col>
                        <col><field>aut_lgn</field><label>Login</label></col>
                        <col><field>aut_act</field><label>Attivo</label></col>
                        <col><call>accediCon</call><noLabel>1</noLabel><width>1px</width></col>
                    </columns>
                </prop>
            </item>
        </item>
    </view>
</form>